<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="id" value="#{serviceProjectAdminShowProjectBean.projectId}"/>
		<f:viewParam name="sid" value="#{serviceProjectAdminShowProjectBean.serviceId}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{serviceProjectAdminShowProjectBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form" class="full">

		<h2><h:outputText value="#{messages['project.local_project']} (#{serviceProjectAdminShowProjectBean.serviceEntity.name}): #{serviceProjectAdminShowProjectBean.entity.name}"/></h2>

		<p:messages id="messageBox" showDetail="true" />
		
		<h:panelGrid style="margin-top:1em;" id="baseData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">
		
	        <h:outputText value="#{messages.id}:"/>
	        <h:outputText value="#{serviceProjectAdminShowProjectBean.entity.id}"/>
	
	        <h:outputText value="#{messages.name}:"/>
	        <h:outputText value="#{serviceProjectAdminShowProjectBean.entity.name}"/>
				
	        <h:outputText value="#{messages.group_name}:"/>
	        <h:outputText value="#{serviceProjectAdminShowProjectBean.entity.groupName}"/>

	        <h:outputText value="#{messages.services}:"/>
	        <ui:repeat value="#{serviceProjectAdminShowProjectBean.entity.projectServices}" var="s">
	        	<h:panelGroup layout="block" styleClass="text" rendered="#{! serviceProjectAdminShowProjectBean.serviceEntity.id.equals(s.service.id)}">
	        		<h:outputText value="#{s.service.name} (#{s.status}) "/>
	        	</h:panelGroup>
	        	<h:panelGroup layout="block" styleClass="text" rendered="#{serviceProjectAdminShowProjectBean.serviceEntity.id.equals(s.service.id)}">
	        		<b><h:outputText value="#{s.service.name} (#{s.status}) "/></b>
	        		<p:commandLink action="#{serviceProjectAdminShowProjectBean.removeFromService()}" value="#{messages['delete']}"
	        			rendered="#{s.status == 'ACTIVE'}" update="@form"/>
	        	</h:panelGroup>
			</ui:repeat>
		</h:panelGrid>
		
		<h:panelGroup layout="block" styleClass="text" rendered="#{serviceProjectAdminShowProjectBean.projectServiceEntity.status == 'APPROVAL_PENDING'}">
			<h5 style="margin-top: 1em;"><h:outputText value="#{messages['project.local_project.approver_admin_header']}" /></h5>
			<h:outputText value="#{messages['project.local_project.approver_admin_txt']}" />
			<div>
				<h:outputText value="#{messages['project.local_project.approver_admin_message']}" />
			</div>
			<div style="margin-top: 0.5em;">
				<h:outputText value="#{serviceProjectAdminShowProjectBean.projectServiceEntity.project.name}" />
				<i class="pi pi-arrow-right"></i>
				<h:outputText value=" #{serviceProjectAdminShowProjectBean.projectServiceEntity.service.name}" />
			</div>
			<h:panelGrid columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">	
		        <bw:inputText id="ovvrGrpField" label="#{messages['project.local_project.approver_set_override_groupname']}" 
		        	value="#{serviceProjectAdminShowProjectBean.overrideGroupName}" required="false"/>
			</h:panelGrid>
			
			<h:panelGroup layout="block" styleClass="form">
				<p:commandButton id="approve" action="#{serviceProjectAdminShowProjectBean.approve()}" value="#{messages.approve}" update="@form"/>		
				<p:commandButton id="deny" action="#{serviceProjectAdminShowProjectBean.deny()}" value="#{messages.deny}" class="text-danger" style="margin-left: 0.5em;" update="@form"/>
			</h:panelGroup>
		</h:panelGroup>

		<p:panel rendered="#{serviceProjectAdminShowProjectBean.projectServiceEntity.status == 'ACTIVE'}">
			<h5 style="margin-top: 1em;"><h:outputText value="#{messages['project.local_project.approver_active_panel_header']}" /></h5>
			<p:outputPanel style="margin-top: 0.5em;">
				<h:outputText value="#{messages['project.local_project.approver_active_panel_txt']}" />
			</p:outputPanel>
			<p:outputPanel style="margin-top: 0.5em;">
				<p:panelGrid columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">
			        <h:outputText value="#{messages['project.override_group_name']}:"/>
			        <p:inplace id="ajax" editor="true" emptyLabel="#{messages['not_set']}">
			        	<p:ajax event="save" listener="#{serviceProjectAdminShowProjectBean.handleOverrideChange}" update=":form:messageBox" />
			        	<p:inputText value="#{serviceProjectAdminShowProjectBean.overrideGroupName}" />
			        </p:inplace>
				</p:panelGrid>
			</p:outputPanel>	
		</p:panel>

		<h5 style="margin-top: 1em;"><h:outputText value="#{messages['project.admins']}" /></h5>
		<p:dataTable id="dataTableAdmin" var="a" value="#{serviceProjectAdminShowProjectBean.adminList}">
			<p:column sortBy="#{a.identity.prefUser.eppn}" filterBy="#{a.identity.prefUser.eppn}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.name}" />
				</f:facet>
				<h:outputText value="#{a.identity.prefUser.eppn}" />
			</p:column>			
			<p:column sortBy="#{a.identity.primaryEmail.emailAddress}" filterBy="#{a.identity.primaryEmail.emailAddress}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.email}" />
				</f:facet>
				<h:outputText value="#{a.identity.primaryEmail.emailAddress}" />
			</p:column>			
			<p:column sortBy="#{a.identity.prefUser.surName}" filterBy="#{a.identity.prefUser.surName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.sur_name}" />
				</f:facet>
				<h:outputText value="#{a.identity.prefUser.surName}" />
			</p:column>			
			<p:column sortBy="#{a.identity.prefUser.givenName}" filterBy="#{a.identity.prefUser.givenName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.given_name}" />
				</f:facet>
				<h:outputText value="#{a.identity.prefUser.givenName}" />
			</p:column>			
				
		</p:dataTable>	
		
		<h5 style="margin-top: 1em;"><h:outputText value="#{messages['project.members']}" /></h5>
		<p:dataTable id="dataTableMember" var="member" value="#{serviceProjectAdminShowProjectBean.memberList}">
			<p:column sortBy="#{member.identity.prefUser.eppn}" filterBy="#{member.identity.prefUser.eppn}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.name}" />
				</f:facet>
				<h:outputText value="#{member.identity.prefUser.eppn}" />
			</p:column>			
			<p:column sortBy="#{member.identity.primaryEmail.emailAddress}" filterBy="#{member.identity.primaryEmail.emailAddress}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.email}" />
				</f:facet>
				<h:outputText value="#{member.identity.primaryEmail.emailAddress}" />
			</p:column>	
			<p:column sortBy="#{member.identity.prefUser.surName}" filterBy="#{member.identity.prefUser.surName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.sur_name}" />
				</f:facet>
				<h:outputText value="#{member.identity.prefUser.surName}" />
			</p:column>			
			<p:column sortBy="#{member.identity.prefUser.givenName}" filterBy="#{member.identity.prefUser.givenName}" filterMatchMode="contains">
				<f:facet name="header">
					<h:outputText value="#{messages.given_name}" />
				</f:facet>
				<h:outputText value="#{member.identity.prefUser.givenName}" />
			</p:column>			
			
		</p:dataTable>	
		
		<h5 style="margin-top: 1em;"><h:outputText value="#{messages['more_properties']}" /></h5>
		<p:outputPanel style="margin-top: 0.5em;">
			<p:panelGrid id="descData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">	
		        <h:outputText value="#{messages['project.short_description']}:"/>
				<h:outputText value="#{serviceProjectAdminShowProjectBean.entity.shortDescription}" />	
	
		        <h:outputText value="#{messages['project.long_description']}:"/>
				<h:outputText value="#{serviceProjectAdminShowProjectBean.entity.description}" />	
			</p:panelGrid>
		</p:outputPanel>
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>
